package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.dto.open.*;
import com.qmth.teachcloud.common.entity.BasicSchool;

import java.util.List;

public interface OpenApiService {

    PaperConfig getPaperConfig(BasicSchool basicSchool, String thirdExamId, String gradeCourseCode);

    List<PaperDimension> getPaperDimension(BasicSchool basicSchool, String thirdExamId, String gradeCourseCode);

    List<PaperStructure> getPaperStructure(BasicSchool basicSchool, String thirdExamId, String gradeCourseCode);

    List<PaperEvaluation> getPaperEvaluation(BasicSchool basicSchool, String thirdExamId, String gradeCourseCode);

    List<ExamStudentScore> listExamStudentScore(BasicSchool basicSchool, String thirdExamId, String gradeCourseCode, Integer pageNumber, Integer pageSize);
}
